## memchan 2.3

=== debian/changelog ===
memchan (2.3-2) unstable; urgency=low

  * Renamed libmemchan-tcl into tcl-memchan and libmemchan-tcl-dev into
    tcl-memchan-dev to comply the Debian Tcl/Tk policy.
  * Bumped debhelper compatibility version to 8.
  * Switched to 3.0 (quilt) source package format.
  * Added hardened build flags using dpkg-buildflags.
  * Bumped standards version to 3.9.3.
  * Use sf redirector in debian/watch uscan control file.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 30 May 2012 09:38:40 +0400

memchan (2.3-1) unstable; urgency=low

  * New upstream release.
  * Added build dependency on tcllib to build documentation from sources.
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 13 Aug 2011 09:04:24 +0400

memchan (2.2.1-6) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Changed doc-base section to Programming and removed extra leading
    whitespaces.
  * Clarified copyright messages.
  * Removed undefined macros BS and BE from manpages.
  * Protected quilt calls in debian/rules to make the source package
    convertible to 3.0 (quilt) format (closes: #482709).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Jun 2008 10:13:15 +0400

memchan (2.2.1-5) unstable; urgency=low

  * Bumped standards-version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jan 2008 17:12:57 +0300

memchan (2.2.1-4) unstable; urgency=low

  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/lib/tcltk and switching to default
    tcl package in dependencies.
  * Added Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 18 Nov 2007 10:36:48 +0300

memchan (2.2.1-3) unstable; urgency=low

  * Fixed build on hurd-i386, kfreebsd-i386 and kfreebsd-amd64 architectures.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.
  * Made clean-patched target in debian/rules depend on patch-stamp.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 11 Sep 2007 16:32:34 +0400

memchan (2.2.1-2) unstable; urgency=low

  * New maintainer's email address sgolovan@debian.org.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Aug 2007 18:06:06 +0400

memchan (2.2.1-1) unstable; urgency=low

  * Initial release (closes: #425756).

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 20 May 2007 23:59:31 +0400
