=== debian/control ===
Source: memchan
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), tcl-dev, tcllib
Standards-Version: 3.9.3
Homepage: http://memchan.sourceforge.net/

Package: tcl-memchan
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tclsh:Depends}
Replaces: libmemchan-tcl
Conflicts: libmemchan-tcl
Provides: libmemchan-tcl
Description: Tcl extension for in-memory channels - runtime library
 Allows the creation of I/O channels, which store data in memory, not
 on disk. It implements the channel types fifo, null, random and
 zero; and provides a C API for creating custom memory channels.
 .
 This package contains the runtime library to be used in Tcl programs.

Package: tcl-memchan-dev
Section: libdevel
Architecture: any
Depends: tcl-memchan (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libmemchan-tcl-dev
Conflicts: libmemchan-tcl-dev
Provides: libmemchan-tcl-dev
Description: Tcl extension for in-memory channels - development files
 Allows the creation of I/O channels, which store data in memory, not
 on disk. It implements the channel types fifo, null, random and
 zero; and provides a C API for creating custom memory channels.
 .
 This package contains files to be used for development of C-based
 extensions which use the Memchan library.
