## memchan 2.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+version = 2.3
 
 DDIR = $(CURDIR)/debian/tmp
 MDIR = $(CURDIR)/debian/tcl-memchan
@@ -8,6 +10,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -25,7 +28,7 @@
 	dh_testdir
 	CFLAGS="$(CFLAGS)" \
 	dh_auto_configure -- \
-			  --with-tcl=/usr/lib \
+			  --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
 			  --with-tclinclude=/usr/include/tcl \
 			  --enable-threads
 
@@ -38,13 +41,12 @@
 	# Install the package into debian/tmp.
 	$(MAKE) install-binaries DESTDIR=$(DDIR)
 	$(MAKE) install-libraries DESTDIR=$(DDIR)
-	install -m 755 -d $(DDIR)/usr/lib/tcltk
-	mv $(DDIR)/usr/lib/Memchan* $(DDIR)/usr/lib/tcltk
+	install -m 755 -d $(DDIR)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
+	mv $(DDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/Memchan* \
+	   $(DDIR)/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
 	# Cleanup manpages
 	for f in *.n ; do \
-	    sed -e'/^\.so man.macros/ d' \
-	        -e'/^\.B[SE]$$/ d' \
-	    	-e's/^\.TH \([^ ]\+\) n/.TH \1 3tcl/' \
+	    sed -e's/^\.TH \([^ ]\+\) n/.TH \1 3tcl/' \
 		-i $$f || exit 1; \
 	done
 	# Cleanup docs
@@ -60,7 +62,11 @@
 	tclsh debian/gen_index.tcl $(DDOCDIR) >$(DDOCDIR)/index.html
 
 get-orig-source:
-	wget -O memchan_2.3.orig.tar.gz \
-		http://prdownloads.sourceforge.net/memchan/Memchan2.3.tar.gz
+	CURDIR=`pwd` && TMPDIR=`mktemp -d /tmp/memchan.XXXXXX` && \
+	cd $$TMPDIR && \
+	wget -O - http://prdownloads.sourceforge.net/memchan/Memchan$(version).tar.gz | tar zx && \
+	rm -rfv Memchan$(version)/tools/mpexpand && \
+	tar -zcf $$CURDIR/memchan_$(version)+dfsg.orig.tar.gz Memchan$(version) && \
+	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_install get-orig-source
