## memchan 2.3+dfsg

=== debian/changelog ===
memchan (2.3+dfsg-2) unstable; urgency=medium

  * Fix FTBFS woith GCC 15 (closes: #1097382).
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 04 Mar 2025 21:17:18 +0300

memchan (2.3+dfsg-1) unstable; urgency=low

  * Removed the mpexpand binary from the source package because it's a
    starpack without the full source code included.
  * Converted the binary packages to multiarch.
  * Fixed call to randinit() by supplying an additional parameter
    (closes: #748163)
  * Mangled debian package version in debian/watch uscan control file.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 May 2014 08:45:23 +0400
