=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: interpreters
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), tcl-dev, tcllib
-Standards-Version: 3.9.3
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), tcl-dev, tcllib
+Standards-Version: 4.7.2
 Homepage: http://memchan.sourceforge.net/
 
 Package: tcl-memchan
@@ -13,6 +13,7 @@
 Replaces: libmemchan-tcl
 Conflicts: libmemchan-tcl
 Provides: libmemchan-tcl
+Multi-Arch: same
 Description: Tcl extension for in-memory channels - runtime library
  Allows the creation of I/O channels, which store data in memory, not
  on disk. It implements the channel types fifo, null, random and
@@ -27,6 +28,7 @@
 Replaces: libmemchan-tcl-dev
 Conflicts: libmemchan-tcl-dev
 Provides: libmemchan-tcl-dev
+Multi-Arch: same
 Description: Tcl extension for in-memory channels - development files
  Allows the creation of I/O channels, which store data in memory, not
  on disk. It implements the channel types fifo, null, random and
